# NixOS configurations generated from fleet
{
  inputs,
  self,
  lib,
  pkgs,
  config,
  ...
}:
{
  imports = [
    ../fleet/fleet-option.nix
  ];

  flake.nixosConfigurations =
    let
      fleet = self.lib.mkFleet { inherit inputs lib config; };
    in
    fleet.nixosConfigurations;
}
